/***************************************************************************
 *   Copyright (C) 2004-2006 by Pere Constans
 *   constans@molspaces.com
 *   cb2Bib version 0.6.1
 *   See LICENSE file that comes with this distribution
 ***************************************************************************/
#ifndef CITEIDMAKERLINEEDIT_H
#define CITEIDMAKERLINEEDIT_H

#include <qlineedit.h>


class QAction;
class QPopupMenu;


/**
@author Pere Constans
*/
class citeIDMakerLineEdit : public QLineEdit
{
    Q_OBJECT
public:
    citeIDMakerLineEdit(QWidget *parent = 0, const char *name = 0);
    ~citeIDMakerLineEdit();

protected:
    QAction* a_author_all_initials;
    QAction* a_author_first;
    QAction* a_journal_initials;
    QAction* a_pages_first;
    QAction* a_reset;
    QAction* a_volume;
    QAction* a_year_abbreviated;
    QAction* a_year_full;
    virtual QPopupMenu *createPopupMenu();


protected slots:
    virtual void author_all_initials();
    virtual void author_first();
    virtual void journal_initials();
    virtual void pages_first();
    virtual void reset();
    virtual void volume();
    virtual void year_abbreviated();
    virtual void year_full();

};

#endif
